### Property

# WebKit2 WebsiteDataManager:hsts-cache-directory

deprecated: 2.40. since: 2.26

#### Declaration

    property hsts-cache-directory: utf8 [ read, write, construct-only ]

#### Description [src]

The directory where the HTTP Strict-Transport-Security (HSTS) cache will be stored.

Type:`gchar*`

Available since: 2.26

Deprecated since: 2.40.

Use WebKitWebsiteDataManager:base-cache-directory instead.

Default value | NULL
Getter method | `webkit_website_data_manager_get_hsts_cache_directory()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes